%define arch_name mxdrv
Name: moxa-intellio-utils
Version: 5.5
Release: alt2

Summary: Utils for manage, diagnostic and monitoring Moxa Intellio boards
Summary(ru_RU.UTF-8): Утилиты для управления, диагностики и мониторинга устройств Moxa Intellio

License: GPL
Group: System/Configuration/Hardware

Source0: http://www.moxa.com/drivers/C320T/Linux/v%version/mxdrv.tgz
Source1: moxa.modutils

Requires: modutils >= 2.4.25-alt11

%description
 This package contains utils for manage, diagnostic and monitoring Moxa Intellio
 boards. Supports C218Turbo, C218Turbo/PCI 8 port multiport board, C320Turbo,
 C320Turbo/PCI 8~32 port multiport board, CP-204J 4 port multiport board.
 
%description -l ru_RU.UTF-8
 Этот пакет содержит утилиты для управления, диагностики и мониторинга
 устройста Moxa Intellio. Поддерживаются C218Turbo, C218Turbo/PCI на 8 портов,
 C320Turbo, C320Turbo/PCI на 8-32 порта, CP-204J на 4 порта.

%prep
%setup -q -n %arch_name

%build

cd driver/
make moxaload
cd ../utility
make
cd ..

%install

%__mkdir_p %buildroot%_bindir
%__mkdir_p %buildroot%_sysconfdir/modutils.d/
%__mkdir_p %buildroot%_libdir/moxa/
%__install -p driver/*.cod %buildroot%_libdir/moxa/
%__install -p driver/moxaload %buildroot%_bindir
%__install -p utility/diag/mxdiag %buildroot%_bindir
%__install -p utility/mon/mxmon %buildroot%_bindir
%__install -p utility/term/mxterm %buildroot%_bindir
%__cp %SOURCE1 %buildroot%_sysconfdir/modutils.d/moxa


%files
%doc kernel2.6.txt readme.txt version.txt
%_sysconfdir/modutils.d/moxa
%_bindir/*
%dir %_libdir/moxa/
%_libdir/moxa/*

%changelog
* Sat Aug 13 2005 Andrew Kornilov <hiddenman@altlinux.ru> 5.5-alt2
- Added /etc/modutils.d/moxa

* Sat Aug 13 2005 Andrew Kornilov <hiddenman@altlinux.ru> 5.5-alt1
- First build for Sisyphus

